curl --request GET \
--url https://api.runtools.ai/v1/agents/{slug} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"avatarSeed": "<string>",
"avatarImageUrl": "<string>",
"model": "claude-sonnet-4",
"executionMode": "in_sandbox",
"visibility": "private",
"systemPrompt": "<string>",
"toolsJson": [
"<string>"
],
"sandboxId": "<string>",
"sandboxSlug": "<string>",
"targetDeviceId": "<string>",
"status": "draft",
"configJson": {},
"providerOptions": {},
"envJson": {},
"attachedResources": [
{
"type": "workspace",
"resourceId": "<string>",
"alias": "<string>",
"config": {}
}
],
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.runtools.ai/v1/agents/{slug} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"avatarSeed": "<string>",
"avatarImageUrl": "<string>",
"model": "claude-sonnet-4",
"executionMode": "in_sandbox",
"visibility": "private",
"systemPrompt": "<string>",
"toolsJson": [
"<string>"
],
"sandboxId": "<string>",
"sandboxSlug": "<string>",
"targetDeviceId": "<string>",
"status": "draft",
"configJson": {},
"providerOptions": {},
"envJson": {},
"attachedResources": [
{
"type": "workspace",
"resourceId": "<string>",
"alias": "<string>",
"config": {}
}
],
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerDisplayName": "<string>",
"ownerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.